API referenceOfficial · Sell Orders
List sell orders
Returns sell orders in any state for the current BUFF account.
POST
/api/market/developer/sell_order/historyReturns sell orders in any state for the current BUFF account.
- Limit: 10 requests per second
Authorization
bearer AuthorizationBearer <token>
BUFF developer API token. Send it as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/market/developer/sell_order/history" \ -H "Content-Type: application/json" \ -d '{ "game": "cs2" }'{ "items": [ { "asset_info": { "assetid": "51073537258", "classid": "7993036004", "contextid": 2, "goods_id": 58835, "id": "M1094062769", "instanceid": "302028390", "paintwear": "0.27153879404067993", "info": { "fraudwarnings": "", "paintindex": 785, "paintseed": 845, "stickers": [ { "sticker_id": 0, "slot": 0, "wear": 0, "category": "string", "market_hash_name": "string", "offset_x": 0, "offset_y": 0, "rotation": 0 } ], "tournament_tags": [ { "category": "string", "internal_name": "string" } ], "inspect_info": { "game_release_date": "string", "inspect_url": "string", "is_charm": true, "is_customplayer": true }, "keychains": [] } }, "sell_order_id": "1085743363-1EA0-137401908", "seller_send_offer": true, "seller_steamid": "76561198099941084", "created_at": 1761212487, "fee": "1.25", "game": "csgo", "goods_id": 209976, "id": "251023T1093498143", "price": "50", "state": "PAYING", "state_text": "出售成功", "type": 1, "tradeofferid": "8607313592", "trade_offer_status": "trading", "rollback_by": "buyer", "updated_at": 1761212487 } ], "page_num": 1, "page_size": 10, "total_count": 3, "total_page": 1}